package com.bocloud.nms.model.veeam.job;

public class BackupJobGuestProcessingModel {

    private BackupApplicationAwareProcessingModel appAwareProcessing;
    private GuestFileSystemIndexingModel guestFSIndexing;
    private GuestInteractionProxiesSettingsModel guestInteractionProxies;
    private GuestOsCredentialsModel guestCredentials;

    public BackupApplicationAwareProcessingModel getAppAwareProcessing() {
        return appAwareProcessing;
    }

    public void setAppAwareProcessing(BackupApplicationAwareProcessingModel appAwareProcessing) {
        this.appAwareProcessing = appAwareProcessing;
    }

    public GuestFileSystemIndexingModel getGuestFSIndexing() {
        return guestFSIndexing;
    }

    public void setGuestFSIndexing(GuestFileSystemIndexingModel guestFSIndexing) {
        this.guestFSIndexing = guestFSIndexing;
    }

    public GuestInteractionProxiesSettingsModel getGuestInteractionProxies() {
        return guestInteractionProxies;
    }

    public void setGuestInteractionProxies(GuestInteractionProxiesSettingsModel guestInteractionProxies) {
        this.guestInteractionProxies = guestInteractionProxies;
    }

    public GuestOsCredentialsModel getGuestCredentials() {
        return guestCredentials;
    }

    public void setGuestCredentials(GuestOsCredentialsModel guestCredentials) {
        this.guestCredentials = guestCredentials;
    }

    @Override public String toString() {
        return "BackupJobGuestProcessingModel{" + "appAwareProcessing=" + appAwareProcessing + ", guestFSIndexing="
            + guestFSIndexing + ", guestInteractionProxies=" + guestInteractionProxies + ", guestCredentials="
            + guestCredentials + '}';
    }
}
